Subject: Re: linux-next: next-20090609 hangs in early user mode

From: Stephen Rothwell <[email-masked]>
Date: Wed, 10 Jun 2009 18:44:55 +1000

Hi Christoph,

On Wed, 10 Jun 2009 04:31:39 -0400 Christoph Hellwig <[email-masked]> wrote:
>
> On Wed, Jun 10, 2009 at 06:00:58PM +1000, Stephen Rothwell wrote:
> > The machines are PowerPC64 (so big endian).  It looks to me like we use
> > bitops on i_state - don't our bitops only apply to unsigned longs?
> 
> Yes, bitops need unsigned long.  And on most plaforms should give you
> warnings when using them on the wrong type.

In this case the "word" is being passed through wait_on_bit which takes a
"void *", so we lose the type information.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/